> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Proposals To Batch

> Add proposals to a batch, creating price records from approved proposals.



## OpenAPI

````yaml /openapi/merchantops-public.json post /api/pricing/batches/{key}/add-proposals
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/pricing/batches/{key}/add-proposals:
    post:
      tags:
        - Pricing
        - Pricing
        - Price Batches
      summary: Add Proposals To Batch
      description: >-
        Add proposals to a batch, creating price records from approved
        proposals.
      operationId: add_proposals_to_batch
      parameters:
        - in: path
          name: key
          required: true
          schema:
            title: Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddProposalsToBatchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AddProposalsToBatchRequest:
      description: Request body for adding proposals to a batch.
      properties:
        excluded_variants:
          anyOf:
            - additionalProperties:
                items:
                  type: string
                type: array
              type: object
            - type: 'null'
          description: >-
            Optional map of proposal_key → variant_keys to exclude from
            style-color fan-out
          title: Excluded Variants
        proposal_keys:
          description: List of proposal keys to add
          items:
            type: string
          title: Proposal Keys
          type: array
      required:
        - proposal_keys
      title: AddProposalsToBatchRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````